/// <reference types="svelte" />
import type { SvelteComponentTyped } from "svelte";

export interface SidepanelProps {
  /**
   * Is Sidepanel Open
   * @default false
   */
  open?: boolean;

  /**
   * Number for nested panels
   * @default 1
   */
  depth?: number;
}

export default class Sidepanel extends SvelteComponentTyped<
  SidepanelProps,
  { closing: CustomEvent<any>; closed: CustomEvent<any> },
  { default: {}; footer: {}; header: {} }
> {}
